[PATCH] arch/alpha/kernel/*: use KERN_*

From: Christophe Lucas <clucas@rotomalug.org>

printk() calls should include appropriate KERN_* constant.

Signed-off-by: Christophe Lucas <clucas@rotomalug.org>

Index: linux-kj/arch/alpha/kernel/core_cia.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/core_cia.c
+++ linux-kj/arch/alpha/kernel/core_cia.c
@@ -428,7 +428,7 @@ verify_tb_operation(void)
 	mcheck_expected(0) = 0;
 	mb();
 	if (mcheck_taken(0)) {
-		printk("pci: failed sg loopback i/o read test (mcheck)\n");
+		printk(KERN_WARNING "pci: failed sg loopback i/o read test (mcheck)\n");
 		goto failed;
 	}
 	if (temp != data0) {
@@ -445,9 +445,9 @@ verify_tb_operation(void)
 		temp = *(vip)CIA_IOC_TB_TAGn(0);
 		if (temp & 1) {
 			use_tbia_try2 = 1;
-			printk("pci: failed tbia test; workaround available\n");
+			printk(KERN_WARNING "pci: failed tbia test; workaround available\n");
 		} else {
-			printk("pci: passed tbia test\n");
+			printk(KERN_INFO "pci: passed tbia test\n");
 		}
 	}
 
@@ -465,7 +465,7 @@ verify_tb_operation(void)
 	mcheck_expected(0) = 0;
 	mb();
 	if (mcheck_taken(0)) {
-		printk("pci: failed pte write cache snoop test (mcheck)\n");
+		printk(KERN_WARNING "pci: failed pte write cache snoop test (mcheck)\n");
 		goto failed;
 	}
 	if (temp != data0) {
@@ -512,7 +512,7 @@ verify_tb_operation(void)
 	mb();
 	mcheck_expected(0) = 0;
 	mb();
-	printk("pci: %s pci machine check test\n",
+	printk(KERN_INFO "pci: %s pci machine check test\n",
 	       mcheck_taken(0) ? "passed" : "failed");
 
 	/* Clean up after the tests.  */
@@ -529,7 +529,7 @@ verify_tb_operation(void)
 		*(vip)CIA_IOC_TB_TAGn(2) = 2;
 		*(vip)CIA_IOC_TB_TAGn(3) = 2;
 
-		printk("pci: tbia workaround enabled\n");
+		printk(KERN_INFO "pci: tbia workaround enabled\n");
 	}
 	alpha_mv.mv_pci_tbi(arena->hose, 0, -1);
 
@@ -546,7 +546,7 @@ exit:
 	return;
 
 failed:
-	printk("pci: disabling sg translation window\n");
+	printk(KERN_INFO "pci: disabling sg translation window\n");
 	*(vip)CIA_IOC_PCI_W0_BASE = 0;
 	*(vip)CIA_IOC_PCI_W1_BASE = 0;
 	pci_isa_hose->sg_isa = NULL;
@@ -632,7 +632,7 @@ do_init_arch(int is_pyxis)
 	int temp, cia_rev, tbia_window;
 
 	cia_rev = *(vip)CIA_IOC_CIA_REV & CIA_REV_MASK;
-	printk("pci: cia revision %d%s\n",
+	printk(KERN_INFO "pci: cia revision %d%s\n",
 	       cia_rev, is_pyxis ? " (pyxis)" : "");
 
 	if (alpha_using_srm)
Index: linux-kj/arch/alpha/kernel/core_irongate.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/core_irongate.c
+++ linux-kj/arch/alpha/kernel/core_irongate.c
@@ -169,13 +169,13 @@ irongate_pci_clr_err(void)
 
 again:
 	IRONGATE_jd = IRONGATE0->stat_cmd;
-	printk("Iron stat_cmd %x\n", IRONGATE_jd);
+	printk(KERN_INFO "Iron stat_cmd %x\n", IRONGATE_jd);
 	IRONGATE0->stat_cmd = IRONGATE_jd; /* write again clears error bits */
 	mb();
 	IRONGATE_jd = IRONGATE0->stat_cmd;  /* re-read to force write */
 
 	IRONGATE_jd = *IronECC;
-	printk("Iron ECC %x\n", IRONGATE_jd);
+	printk(KERN_INFO "Iron ECC %x\n", IRONGATE_jd);
 	*IronECC = IRONGATE_jd; /* write again clears error bits */
 	mb();
 	IRONGATE_jd = *IronECC;  /* re-read to force write */
@@ -351,7 +351,7 @@ irongate_ioremap(unsigned long addr, uns
 	 * Adjust the limits (mappings must be page aligned)
 	 */
 	if (addr & ~PAGE_MASK) {
-		printk("AGP ioremap failed... addr not page aligned (0x%lx)\n",
+		printk(KERN_WARNING "AGP ioremap failed... addr not page aligned (0x%lx)\n",
 		       addr);
 		return (void __iomem *)(addr + IRONGATE_MEM);
 	}
@@ -359,17 +359,17 @@ irongate_ioremap(unsigned long addr, uns
 	size = PAGE_ALIGN(last) - addr;
 
 #if 0
-	printk("irongate_ioremap(0x%lx, 0x%lx)\n", addr, size);
-	printk("irongate_ioremap:  gart_bus_addr  0x%lx\n", gart_bus_addr);
-	printk("irongate_ioremap:  gart_aper_size 0x%lx\n", gart_aper_size);
-	printk("irongate_ioremap:  mmio_regs      %p\n", mmio_regs);
-	printk("irongate_ioremap:  gatt_pages     %p\n", gatt_pages);
+	printk(KERN_DEBUG "irongate_ioremap(0x%lx, 0x%lx)\n", addr, size);
+	printk(KERN_DEBUG "irongate_ioremap:  gart_bus_addr  0x%lx\n", gart_bus_addr);
+	printk(KERN_DEBUG "irongate_ioremap:  gart_aper_size 0x%lx\n", gart_aper_size);
+	printk(KERN_DEBUG "irongate_ioremap:  mmio_regs      %p\n", mmio_regs);
+	printk(KERN_DEBUG "irongate_ioremap:  gatt_pages     %p\n", gatt_pages);
 	
 	for(baddr = addr; baddr <= last; baddr += PAGE_SIZE)
 	{
 		cur_gatt = phys_to_virt(GET_GATT(baddr) & ~1);
 		pte = cur_gatt[GET_GATT_OFF(baddr)] & ~1;
-		printk("irongate_ioremap:  cur_gatt %p pte 0x%x\n",
+		printk(KERN_DEBUG "irongate_ioremap:  cur_gatt %p pte 0x%x\n",
 		       cur_gatt, pte);
 	}
 #endif
@@ -389,7 +389,7 @@ irongate_ioremap(unsigned long addr, uns
 
 		if (__alpha_remap_area_pages(vaddr,
 					     pte, PAGE_SIZE, 0)) {
-			printk("AGP ioremap: FAILED to map...\n");
+			printk(KERN_WARNING "AGP ioremap: FAILED to map...\n");
 			vfree(area->addr);
 			return NULL;
 		}
@@ -399,7 +399,7 @@ irongate_ioremap(unsigned long addr, uns
 
 	vaddr = (unsigned long)area->addr + (addr & ~PAGE_MASK);
 #if 0
-	printk("irongate_ioremap(0x%lx, 0x%lx) returning 0x%lx\n",
+	printk(KERN_DEBUG "irongate_ioremap(0x%lx, 0x%lx) returning 0x%lx\n",
 	       addr, size, vaddr);
 #endif
 	return (void __iomem *)vaddr;
